package com.palidinodh.osrsscript.map.area.morytania.slayertower.handler.npcspawn;

import java.util.ArrayList;
import java.util.List;
import com.palidinodh.osrscore.io.cache.id.NpcId;
import com.palidinodh.osrscore.model.entity.npc.spawn.NpcSpawn;
import com.palidinodh.osrscore.model.entity.npc.spawn.NpcSpawnHandler;
import com.palidinodh.osrscore.model.tile.Tile;
import lombok.var;

class SlayerTowerNpcSpawns implements NpcSpawnHandler {
  @Override
  public List<NpcSpawn> getSpawns() {
    var spawns = new ArrayList<NpcSpawn>();

    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_8, new Tile(3422, 3538), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_8, new Tile(3416, 3537), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_8, new Tile(3410, 3534), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_8, new Tile(3412, 3541), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_12, new Tile(3411, 3548), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_8, new Tile(3419, 3544), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_8, new Tile(3420, 3550), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_12, new Tile(3428, 3543), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_8, new Tile(3427, 3551), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_12, new Tile(3425, 3558), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_12, new Tile(3416, 3556), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_12, new Tile(3411, 3561), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_12, new Tile(3411, 3571), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_12, new Tile(3420, 3573), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_12, new Tile(3419, 3565), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_12, new Tile(3429, 3570), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_12, new Tile(3439, 3573), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_8, new Tile(3432, 3574), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_8, new Tile(3417, 3570), 4));
    spawns.add(new NpcSpawn(NpcId.CRAWLING_HAND_8, new Tile(3421, 3556), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3440, 3561), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3429, 3564), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3435, 3559), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3434, 3552), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3439, 3552), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3446, 3554), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3446, 3546), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3439, 3544), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3449, 3537), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3444, 3534), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3439, 3536), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3444, 3540), 4));
    spawns.add(new NpcSpawn(NpcId.BANSHEE_23, new Tile(3436, 3565), 4));
    spawns.add(new NpcSpawn(NpcId.INFERNAL_MAGE_66, new Tile(3432, 3556, 1), 4));
    spawns.add(new NpcSpawn(NpcId.INFERNAL_MAGE_66, new Tile(3433, 3562, 1), 4));
    spawns.add(new NpcSpawn(NpcId.INFERNAL_MAGE_66, new Tile(3440, 3557, 1), 4));
    spawns.add(new NpcSpawn(NpcId.INFERNAL_MAGE_66, new Tile(3439, 3563, 1), 4));
    spawns.add(new NpcSpawn(NpcId.INFERNAL_MAGE_66, new Tile(3445, 3558, 1), 4));
    spawns.add(new NpcSpawn(NpcId.INFERNAL_MAGE_66, new Tile(3446, 3565, 1), 4));
    spawns.add(new NpcSpawn(NpcId.INFERNAL_MAGE_66, new Tile(3450, 3573, 1), 4));
    spawns.add(new NpcSpawn(NpcId.INFERNAL_MAGE_66, new Tile(3444, 3574, 1), 4));
    spawns.add(new NpcSpawn(NpcId.INFERNAL_MAGE_66, new Tile(3440, 3569, 1), 4));
    spawns.add(new NpcSpawn(NpcId.INFERNAL_MAGE_66, new Tile(3433, 3573, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3424, 3573, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3418, 3572, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3411, 3576, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3408, 3570, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3413, 3571, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3410, 3564, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3411, 3558, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3417, 3559, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3416, 3566, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3426, 3564, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3424, 3557, 1), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3421, 3562, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3443, 3544, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3441, 3550, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3434, 3545, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3438, 3547, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3432, 3550, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3425, 3548, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3422, 3553, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3416, 3552, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3410, 3550, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3417, 3546, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3412, 3544, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3421, 3543, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3429, 3542, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3425, 3537, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3421, 3534, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3418, 3538, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3413, 3535, 1), 4));
    spawns.add(new NpcSpawn(NpcId.ABERRANT_SPECTRE_96, new Tile(3409, 3533, 1), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3433, 3536, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3447, 3535, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3440, 3539, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3444, 3548, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3433, 3546, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3439, 3545, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3437, 3552, 2), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3446, 3540, 2), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3434, 3573, 2), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3435, 3567, 2), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3437, 3558, 2), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3443, 3557, 2), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3446, 3561, 2), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3441, 3564, 2), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3440, 3570, 2), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3448, 3571, 2), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3443, 3575, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3417, 3557, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3411, 3558, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3412, 3563, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3419, 3564, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3415, 3568, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3409, 3571, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3414, 3575, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3408, 3576, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3427, 3565, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3421, 3569, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3419, 3574, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3427, 3571, 2), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3442, 9974, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3440, 9972, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3445, 9971, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3445, 9968, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3442, 9966, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3441, 9962, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3436, 9970, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3437, 9965, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3432, 9965, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3427, 9965, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3431, 9961, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3434, 9958, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3431, 9956, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3439, 9958, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3443, 9958, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3438, 9954, 3), 4));
    spawns.add(new NpcSpawn(NpcId.ABYSSAL_DEMON_124, new Tile(3442, 9955, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3441, 9947, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3434, 9949, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3430, 9944, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3432, 9939, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3428, 9933, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3434, 9932, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3439, 9930, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3444, 9930, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3441, 9935, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3439, 9940, 3), 4));
    spawns.add(new NpcSpawn(NpcId.GARGOYLE_111, new Tile(3436, 9945, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3426, 9939, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3423, 9935, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3417, 9931, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3414, 9934, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3407, 9930, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3410, 9938, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3420, 9939, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3416, 9942, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3413, 9945, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3407, 9945, 3), 4));
    spawns.add(new NpcSpawn(NpcId.BLOODVELD_76, new Tile(3406, 9950, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3414, 9951, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3413, 9955, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3416, 9957, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3419, 9960, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3423, 9960, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3408, 9956, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3406, 9960, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3414, 9962, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3410, 9962, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3411, 9967, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3417, 9965, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3420, 9970, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3425, 9970, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3430, 9971, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3407, 9973, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3402, 9969, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3404, 9965, 3), 4));
    spawns.add(new NpcSpawn(NpcId.NECHRYAEL_115, new Tile(3414, 9970, 3), 4));

    return spawns;
  }
}
